/*** Aufgabe_06_2c.cpp ***/
#include <iostream>
using namespace std;

//************************************************************
// Hier die Header-Dateien fuer bubblesort und finde einbinden
//************************************************************

void printArray(int const array[], unsigned int const size,
                string const name = "Folge:");

int main() {
    unsigned int const n = 8;
    int folge_a[n] = { 5, 7, 65, 15, 9, 42, 33, 85 };
    int folge_b[n] = { 7, 87, 95, 34, 25, 8, 55, 75};
    int folge_c[n] = { -8, 14, -11, -9, 0, 5, 20, 32};

    /* Sortiere die Folgen */
    bubblesort(folge_a, 1, n);
    bubblesort(folge_b, 1, n);
    bubblesort(folge_c, 1, n);

    /* Zeige die Arrays zur Pruefung der korrekten Sortierung */
    printArray(folge_a, n, "Folge A:");
    printArray(folge_b, n, "Folge B:");
    printArray(folge_c, n, "Folge C:");

    /* Suche im ersten Array folge_a die Werte 65, 9, 6, 70 */
    cout << "65  auf Position: " << finde(65, folge_a, n) << endl;
    cout << "9   auf Position: " << finde(9, folge_a, n) << endl;
    cout << "6   auf Position: " << finde(6, folge_a, n) << endl;
    cout << "70  auf Position: " << finde(70, folge_a, n) << endl;

    /* Suche im zeiten Array folge_b die Werte -2, 95, 25, 75 */
    cout << "-2  auf Position: " << finde(-2, folge_b, n) << endl;
    cout << "95  auf Position: " << finde(95, folge_b, n) << endl;
    cout << "25  auf Position: " << finde(25, folge_b, n) << endl;
    cout << "75  auf Position: " << finde(75, folge_b, n) << endl;

    /* Suche im dritten Array folge_c die Werte -8, -14, 0, 20 */
    cout << "-8  auf Position: " << finde(-8, folge_c, n) << endl;
    cout << "-14 auf Position: " << finde(-14, folge_c, n) << endl;
    cout << "0   auf Position: " << finde(0, folge_c, n) << endl;
    cout << "20  auf Position: " << finde(20, folge_c, n) << endl;
}

void printArray(int const array[], unsigned int const size,
                string const name) {
    cout << name << " ";
    for (unsigned int i = 0; i < size; ++i)
        cout << array[i] << " ";
    cout << endl;
}
/* Ausgabe:
*/
/*** Ende Aufgabe_06_2c.cpp ***/
